# Uses of Class
org.sunflow.math.Point2

Packages that use Point2
Package
Description
org.sunflow
org.sunflow.core
org.sunflow.math

## Uses of Point2 in org.sunflow

Methods in org.sunflow with parameters of type Point2
Modifier and Type
Method
Description
`final void`
SunflowAPI.`parameter(String name, Point2 value)`
`void`
SunflowAPIInterface.`parameter(String name, Point2 value)`
Declare a parameter with the specified name and value.

## Uses of Point2 in org.sunflow.core

Methods in org.sunflow.core that return Point2
Modifier and Type
Method
Description
`Point2`
ParameterList.`getTexCoord(String name, Point2 defaultValue)`
Get the specified texture coordinate parameter from this list.
`final Point2`
ShadingState.`getUV()`
Get texture coordinates at the hit point.
Methods in org.sunflow.core with parameters of type Point2
Modifier and Type
Method
Description
`Point2`
ParameterList.`getTexCoord(String name, Point2 defaultValue)`
Get the specified texture coordinate parameter from this list.

## Uses of Point2 in org.sunflow.math

Methods in org.sunflow.math that return Point2
Modifier and Type
Method
Description
`final Point2`
Point2.`set(float x, float y)`
`final Point2`
Point2.`set(Point2 p)`
Methods in org.sunflow.math with parameters of type Point2
Modifier and Type
Method
Description
`static final float`
PerlinScalar.`noise(Point2 p)`
`static final Vector3`
PerlinVector.`noise(Point2 p)`
`static final float`
PerlinScalar.`pnoise(Point2 p, float periodx, float periody)`
`static final Vector3`
PerlinVector.`pnoise(Point2 p, float periodx, float periody)`
`final Point2`
Point2.`set(Point2 p)`
`static final float`
PerlinScalar.`snoise(Point2 p)`
`static final Vector3`
PerlinVector.`snoise(Point2 p)`
`static final float`
PerlinScalar.`spnoise(Point2 p, float periodx, float periody)`
`static final Vector3`
PerlinVector.`spnoise(Point2 p, float periodx, float periody)`
Constructors in org.sunflow.math with parameters of type Point2
Modifier
Constructor
Description
``
`Point2(Point2 p)`